Loading...
Searching...
No Matches
Opm::GroupSatelliteInjection::Rate Class Reference

Satellite injection rates for a single phase. More...

`#include <GroupSatelliteInjection.hpp>`

## Public Member Functions

Rate & | surface (const double q)
| Assign surface injection rate for this phase.
Rate & | reservoir (const double q)
| Assign reservoir injection rate for this phase.
Rate & | calorific (const double c)
| Assign mean calorific value for this phase.
const std::optional< double > & | surface () const
| Surface injection rate for this phase.
const std::optional< double > & | reservoir () const
| Reservoir injection rate for this phase.
const std::optional< double > & | calorific () const
| Mean calorific value of injected gas.
bool | operator== (const Rate &that) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static Rate | serializationTestObject ()
| Create a serialisation test object.

## Detailed Description

Satellite injection rates for a single phase.

## Member Function Documentation

## calorific() [1/2]

const std::optional< double > & Opm::GroupSatelliteInjection::Rate::calorific | ( |  | ) | const

inline

Mean calorific value of injected gas.

Nullopt if there is no defined mean calorific value.

## calorific() [2/2]

Opm::GroupSatelliteInjection::Rate & Opm::GroupSatelliteInjection::Rate::calorific | ( | const double | c | ) |

Assign mean calorific value for this phase.

Parameters

  [in] | c | Mean calorific value [kJ/sm3].

Returns
  *this

## operator==()

bool Opm::GroupSatelliteInjection::Rate::operator== | ( | const Rate & | that | ) | const

inline

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

## reservoir() [1/2]

const std::optional< double > & Opm::GroupSatelliteInjection::Rate::reservoir | ( |  | ) | const

inline

Reservoir injection rate for this phase.

Nullopt if there is no defined reservoir injection rate.

## reservoir() [2/2]

Opm::GroupSatelliteInjection::Rate & Opm::GroupSatelliteInjection::Rate::reservoir | ( | const double | q | ) |

Assign reservoir injection rate for this phase.

Parameters

  [in] | q | Reservoir injection rate [rm3/s].

Returns
  *this

## serializeOp()

template<class Serializer>

void Opm::GroupSatelliteInjection::Rate::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## surface() [1/2]

const std::optional< double > & Opm::GroupSatelliteInjection::Rate::surface | ( |  | ) | const

inline

Surface injection rate for this phase.

Nullopt if there is no defined surface injection rate.

## surface() [2/2]

Opm::GroupSatelliteInjection::Rate & Opm::GroupSatelliteInjection::Rate::surface | ( | const double | q | ) |

Assign surface injection rate for this phase.

Parameters

  [in] | q | Surface injection rate [sm3/s].

Returns
  *this

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GroupSatelliteInjection.hpp
- opm/input/eclipse/Schedule/Group/GroupSatelliteInjection.cpp